org.apache.storm.hive.trident

## Class TridentHiveTopology.FixedBatchSpout

- java.lang.Object
- - org.apache.storm.hive.trident.TridentHiveTopology.FixedBatchSpout

- All Implemented Interfaces:
    Serializable, IBatchSpout, ITridentDataSource
  Enclosing class:
    TridentHiveTopology

      public static class TridentHiveTopology.FixedBatchSpout
      extends Object
      implements IBatchSpout

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedBatchSpout(int maxBatchSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ack(long batchId)`
    `void` | `close()`
    `void` | `emitBatch(long batchId, TridentCollector collector)`
    `Map<String,Object>` | `getComponentConfiguration()`
    `Fields` | `getOutputFields()`
    `void` | `open(Map<String,Object> conf, TopologyContext context)`
    `void` | `setCycle(boolean cycle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedBatchSpout

          public FixedBatchSpout(int maxBatchSize)

  - ### Method Detail

    - #### setCycle

          public void setCycle(boolean cycle)

    - #### getOutputFields

          public Fields getOutputFields()

      Specified by:
        `getOutputFields` in interface `IBatchSpout`

    - #### open

          public void open(Map<String,Object> conf,
                           TopologyContext context)

      Specified by:
        `open` in interface `IBatchSpout`

    - #### emitBatch

          public void emitBatch(long batchId,
                                TridentCollector collector)

      Specified by:
        `emitBatch` in interface `IBatchSpout`

    - #### ack

          public void ack(long batchId)

      Specified by:
        `ack` in interface `IBatchSpout`

    - #### close

          public void close()

      Specified by:
        `close` in interface `IBatchSpout`

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Specified by:
        `getComponentConfiguration` in interface `IBatchSpout`

Copyright © 2021 The Apache Software Foundation. All rights reserved.